org.encog.ml.tree.basic

## Class BasicTreeNode

- java.lang.Object
- - org.encog.ml.tree.basic.BasicTreeNode

- All Implemented Interfaces:
    Serializable, TreeNode
  Direct Known Subclasses:
    ProgramNode

      public class BasicTreeNode
      extends Object
      implements TreeNode, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicTreeNode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildNodes(TreeNode[] args)` Add child nodes.
    `boolean` | `allLeafChildren()`
    `List<TreeNode>` | `getChildNodes()`
    `boolean` | `isLeaf()`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicTreeNode

          public BasicTreeNode()

  - ### Method Detail

    - #### getChildNodes

          public List<TreeNode> getChildNodes()

      Specified by:
        `getChildNodes` in interface `TreeNode`
      Returns:
        The child nodes.

    - #### addChildNodes

          public void addChildNodes(TreeNode[] args)

      Description copied from interface: `TreeNode`
      Add child nodes.
      Specified by:
        `addChildNodes` in interface `TreeNode`
      Parameters:
        `args` - The child nodes to add.

    - #### allLeafChildren

          public boolean allLeafChildren()

      Specified by:
        `allLeafChildren` in interface `TreeNode`
      Returns:
        True, if all children are leaves.

    - #### isLeaf

          public boolean isLeaf()

      Specified by:
        `isLeaf` in interface `TreeNode`
      Returns:
        True, if this is a leaf.

    - #### size

          public int size()

      Specified by:
        `size` in interface `TreeNode`
      Returns:
        The number of nodes from this point. Do not call on cyclic tree.

Copyright © 2014. All Rights Reserved.